Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class call_policy_t

# type call_policy_t

source code

    object --+
             |
            call_policy_t

Known Subclasses:
  - compound_policy_t
  - , custom_call_policies_t
  - , default_call_policies_t
  - , return_range_t

base class for all classes, which generate "call policies" code

Instance Methods

__init__(self) | source code

create(self, function_creator, creation_policy=`'``as instance``'`) Creates code from the call policies class instance. | source code

create_type(self) return call policies class declaration as string | source code

create_template_arg(self, function_creator) return call policies class declaration as string | source code

is_default(self) return True is self is instance of default_call_policies_t class | source code

is_predefined(self) return True if call policy is defined in Boost.Python library, False otherwise | source code

Properties
| header_file return a name of the header file the call policy is defined in

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### create(self, function_creator, creation_policy=`'``as instance``'`)

source code

Creates code from the call policies class instance.

Parameters:
  - `function_creator` (`code_creators.function_t` or code_creators.constructor_t) - parent code creator
  - `creation_policy` (CREATION_POLICY) - indicates whether we this call policy used as template argument or as an instance

Property Details

### header_file

return a name of the header file the call policy is defined in